package com.hzs.member.statis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.member.statis.CuBonusVertexStatis;
import com.hzs.member.statis.vo.CuBonusVertexStatisPvVO;
import com.hzs.member.statis.vo.CuBonusVertexStatisTotalVO;
import com.hzs.member.statis.vo.CuBonusVertexStatisVO;

import java.util.List;

/**
 * 奖金拨比零线统计 服务类
 */
public interface ICuBonusVertexStatisService extends IService<CuBonusVertexStatis> {

    /**
     * 奖金拨比列表
     **/
    List<CuBonusVertexStatisVO> queryCuBonusStatis(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 查询奖金拨比列表（PV）
     **/
    List<CuBonusVertexStatisPvVO> queryCuBonusPvStatis(CuBonusVertexStatisPvVO cuBonusVertexStatisPvVO);

    /**
     * 查询顶点奖金拨比汇总
     **/
    List<CuBonusVertexStatisTotalVO> queryCuBonusStatisTotal(CuBonusVertexStatisTotalVO cuBonusVertexStatisTotalVO);

    /**
     * 查询顶点奖金拨比汇总总和（最后一行）
     **/
    CuBonusVertexStatisTotalVO queryCuBonusStatisSum(CuBonusVertexStatisTotalVO cuBonusVertexStatisTotalVO);

    /**
     * 查询时间内奖金拨比顶点会员
     **/
    List<CuBonusVertexStatisTotalVO> queryCuBonusVertex(CuBonusVertexStatisTotalVO cuBonusVertexStatisTotalVO);

    /**
     * 查询顶点拓展封顶人数
     **/
    CuBonusVertexStatisTotalVO queryOrgTopNumber(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 查询顶点拓展平均碰次和拓展最高碰次
     **/
    CuBonusVertexStatisTotalVO queryTouch(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 奖金拨比列表统计小计（最后一行）
     **/
    CuBonusVertexStatisVO queryCuBonusSumStatis(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 奖金拨比列表PV统计小计（最后一行）
     **/
    CuBonusVertexStatisPvVO queryCuBonusPvSumStatis(CuBonusVertexStatisPvVO cuBonusVertexStatisPvVO);

    /**
     * 7天重算顶点奖金拨比统计
     **/
    Boolean anewStatisHistoryBonus(String startDate, String endDate);

    /**
     * 删除奖金拨比统计表数据
     **/
    Boolean delStatis(String startDate, String endDate, List<Integer> pkVertexList);

    /**
     * 查询中国奖金
     **/
    List<CuBonusVertexStatisVO> queryChinaCountryBonus(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 查询生效国外国家列表
     **/
    List<CuBonusVertexStatisVO> countrylist(CuBonusVertexStatisVO cuBonusVertexStatisVO);

    /**
     * 查询所有体系
     **/
    List<CuBonusVertexStatisVO> vertexList(Integer pkVertex);

}
